/* TroiaPreview
 * version 1.0 date 2005-03-24
 * Copyright (C) 2003-2005 Stefan Schuermans <1stein@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 */

#ifndef INC_Life
#define INC_Life

//constants
#define LifeMinInterval 0.1
#define LifeMaxInterval 10.0

//do a GameOfLife step with the current frame
void LifeStep( );

//start automatic GameOfLife
void LifeStart( double Interval );

//stop automatic GameOfLife
void LifeStop( );

//called periodically to do some work
void LifeTask( );

#endif //#ifndef INC_Life

